"""Add type and extra_params field for engines

Revision ID: f3407a1ec625
Revises: a7e11a2438b4
Create Date: 2023-10-09 18:58:57.462134+00:00

"""
# pylint: disable=no-member, invalid-name, missing-function-docstring, unused-import, no-name-in-module

import sqlalchemy as sa
import sqlmodel

from alembic import op

# revision identifiers, used by Alembic.
revision = "f3407a1ec625"
down_revision = "a7e11a2438b4"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("engine", sa.Column("extra_params", sa.JSON(), nullable=True))
    op.add_column(
        "engine",
        sa.Column("type", sa.Enum("DUCKDB", name="enginetype"), nullable=False),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("engine", "type")
    op.drop_column("engine", "extra_params")
    # ### end Alembic commands ###
